-- ----------------------------
-- Table structure for ericsson_delfor_detail
-- ----------------------------
DROP TABLE [dbo].[ericsson_delfor_detail]
GO
CREATE TABLE [dbo].[ericsson_delfor_detail] (
[id] varchar(255) NOT NULL ,
[header_id] varchar(255) NULL ,
[buyer_part_number] varchar(255) NULL ,
[line_item_sequence_number] varchar(255) NULL ,
[supplier_part_number] varchar(255) NULL ,
[cumulative_qty] int NULL ,
[actual_stock_qty] int NULL ,
[received_qty] int NULL ,
[goods_receipt_date] date NULL 
)


GO

-- ----------------------------
-- Table structure for ericsson_delfor_header
-- ----------------------------
DROP TABLE [dbo].[ericsson_delfor_header]
GO
CREATE TABLE [dbo].[ericsson_delfor_header] (
[forecast_number] varchar(255) NULL ,
[document_date] date NULL ,
[contract_number] varchar(255) NULL ,
[buyer_party_number] varchar(255) NULL ,
[contact_name] varchar(255) NULL ,
[delivery_party_number] varchar(255) NULL ,
[delivery_party_name] varchar(255) NULL ,
[id] varchar(255) NOT NULL ,
[seller_party_number] varchar(255) NULL 
)


GO

-- ----------------------------
-- Table structure for ericsson_delfor_subdetail
-- ----------------------------
DROP TABLE [dbo].[ericsson_delfor_subdetail]
GO
CREATE TABLE [dbo].[ericsson_delfor_subdetail] (
[id] varchar(255) NOT NULL ,
[detail_id] varchar(255) NULL ,
[delivery_qty] int NULL ,
[horizon_start_date] date NULL ,
[horizon_end_date] date NULL 
)


GO

-- ----------------------------
-- Table structure for ericsson_desadv_header
-- ----------------------------
DROP TABLE [dbo].[ericsson_desadv_header]
GO
CREATE TABLE [dbo].[ericsson_desadv_header] (
[asn_number] varchar(255) NULL ,
[id] varchar(255) NOT NULL ,
[asn_date] date NULL ,
[pick_up_date] date NULL ,
[number_of_packs] int NULL ,
[packing_list_number] varchar(255) NULL ,
[buyer_number] varchar(255) NULL ,
[seller_number] varchar(255) NULL ,
[seller_contact_name] varchar(255) NULL ,
[seller_contact_tel] varchar(255) NULL ,
[seller_contact_fax] varchar(255) NULL ,
[status] int NULL ,
[seller_contact_ID] varchar(1) NULL 
)


GO

-- ----------------------------
-- Table structure for ericsson_desadv_item
-- ----------------------------
DROP TABLE [dbo].[ericsson_desadv_item]
GO
CREATE TABLE [dbo].[ericsson_desadv_item] (
[id] varchar(255) NOT NULL ,
[header_id] varchar(255) NULL ,
[line_item_sequence_number] varchar(255) NULL ,
[buyer_part_number] varchar(255) NULL ,
[R_state] varchar(255) NULL ,
[product_information] varchar(255) NULL ,
[despatch_quantity] int NULL ,
[quantity_UOM] varchar(255) NULL ,
[country_code] varchar(255) NULL ,
[po_number] varchar(255) NULL ,
[po_line] varchar(255) NULL ,
[supplier_order_number] varchar(255) NULL ,
[supplier_order_line] varchar(255) NULL ,
[status] int NULL 
)


GO

-- ----------------------------
-- Table structure for ericsson_desadv_package
-- ----------------------------
DROP TABLE [dbo].[ericsson_desadv_package]
GO
CREATE TABLE [dbo].[ericsson_desadv_package] (
[id] varchar(255) NOT NULL ,
[header_id] varchar(255) NULL ,
[packing_sequence_number] varchar(255) NULL ,
[number_of_packages] int NULL ,
[package_code] varchar(255) NULL ,
[package_length] float(53) NULL ,
[package_width] float(53) NULL ,
[package_height] float(53) NULL ,
[package_gross_weight] float(53) NULL ,
[package_net_weight] float(53) NULL ,
[package_volume] float(53) NULL ,
[seller_instructions] varchar(255) NULL ,
[package_marking_number] varchar(255) NULL ,
[status] int NULL ,
[length_UOM] varchar(255) NULL ,
[width_UOM] varchar(255) NULL ,
[height_UOM] varchar(255) NULL ,
[gross_weight_UOM] varchar(255) NULL ,
[net_weight_UOM] varchar(255) NULL ,
[volume_UOM] varchar(255) NULL 
)


GO

-- ----------------------------
-- Table structure for ericsson_desadv_serialnumber
-- ----------------------------
DROP TABLE [dbo].[ericsson_desadv_serialnumber]
GO
CREATE TABLE [dbo].[ericsson_desadv_serialnumber] (
[id] varchar(255) NOT NULL ,
[header_id] varchar(255) NULL ,
[serial_number] varchar(255) NULL ,
[status] int NULL 
)


GO

-- ----------------------------
-- Table structure for ericsson_invoic_detail
-- ----------------------------
DROP TABLE [dbo].[ericsson_invoic_detail]
GO
CREATE TABLE [dbo].[ericsson_invoic_detail] (
[id] varchar(255) NOT NULL ,
[header_id] varchar(255) NULL ,
[line_item_sequence_number] varchar(255) NULL ,
[buyer_part_number] varchar(255) NULL ,
[supplier_part_number] varchar(255) NULL ,
[product_information] varchar(255) NULL ,
[invoiced_quantity] varchar(255) NULL ,
[country_of_origin] varchar(255) NULL ,
[line_item_amount] varchar(255) NULL ,
[unit_price] money NULL ,
[po_number] varchar(255) NULL ,
[po_line] varchar(255) NULL ,
[po_date] date NULL ,
[status] int NULL 
)


GO

-- ----------------------------
-- Table structure for ericsson_invoic_header
-- ----------------------------
DROP TABLE [dbo].[ericsson_invoic_header]
GO
CREATE TABLE [dbo].[ericsson_invoic_header] (
[id] varchar(255) NOT NULL ,
[status] int NULL ,
[invoice_number] varchar(255) NULL ,
[invoice_date] date NULL ,
[free_text_statutory_notice] varchar(255) NULL ,
[po_number] varchar(255) NULL ,
[po_date] date NULL ,
[supplier_order_number] varchar(255) NULL ,
[supplier_order_date] date NULL ,
[despatch_advice_number] varchar(255) NULL ,
[despatch_date] date NULL ,
[buyer_name] varchar(255) NULL ,
[buyer_street] varchar(255) NULL ,
[buyer_city] varchar(255) NULL ,
[buyer_country_subEntity_ID] varchar(255) NULL ,
[buyer_postcode] varchar(255) NULL ,
[buyer_country] varchar(255) NULL ,
[buyer_VAT_number] varchar(255) NULL ,
[invoicee_name] varchar(255) NULL ,
[invoicee_street] varchar(255) NULL ,
[invoicee_country_subEntity_ID] varchar(255) NULL ,
[invoicee_postcode] varchar(255) NULL ,
[invoicee_country] varchar(255) NULL ,
[seller_name] varchar(255) NULL ,
[seller_street] varchar(255) NULL ,
[seller_city] varchar(255) NULL ,
[seller_country_subEntity_ID] varchar(255) NULL ,
[seller_postcode] varchar(255) NULL ,
[seller_country] varchar(255) NULL ,
[seller_VAT_number] varchar(255) NULL ,
[seller_contact_name] varchar(255) NULL ,
[seller_contact_tel] varchar(255) NULL ,
[delivery_party_name] varchar(255) NULL ,
[delivery_party_street] varchar(255) NULL ,
[delivery_party_city] varchar(255) NULL ,
[delivery_party_country_subEntity_ID] varchar(255) NULL ,
[delivery_party_postcode] varchar(255) NULL ,
[delivery_party_country] varchar(255) NULL ,
[ultimate_party_name] varchar(255) NULL ,
[ultimate_party_street] varchar(255) NULL ,
[ultimate_party_city] varchar(255) NULL ,
[ultimate_party_postcode] varchar(255) NULL ,
[ultimate_party_country] varchar(255) NULL ,
[ship_from_country] varchar(255) NULL ,
[invoicing_currency] varchar(255) NULL ,
[home_currency] varchar(255) NULL ,
[currency_rate_base] varchar(255) NULL ,
[rate_of_exchange] float(53) NULL ,
[terms_net_due_date] date NULL ,
[buyer_number] varchar(255) NULL ,
[seller_number] varchar(255) NULL ,
[invoicee_number] varchar(255) NULL ,
[delivery_party_number] varchar(255) NULL ,
[invoicee_city] varchar(255) NULL ,
[ultimate_party_country_subEntity_ID] varchar(255) NULL ,
[seller_contact_ID] int NULL 
)


GO

-- ----------------------------
-- Table structure for ericsson_invoic_summary
-- ----------------------------
DROP TABLE [dbo].[ericsson_invoic_summary]
GO
CREATE TABLE [dbo].[ericsson_invoic_summary] (
[id] varchar(255) NOT NULL ,
[header_id] varchar(255) NULL ,
[total_line_items_amount] varchar(255) NULL ,
[total_amount_due] varchar(255) NULL ,
[tax_rate] float(53) NULL ,
[total_invoice_amount] varchar(255) NULL ,
[invoice_currency_code] varchar(255) NULL ,
[total_VAT_amount] varchar(255) NULL ,
[VAT_currency_code] varchar(255) NULL ,
[status] int NULL 
)


GO

-- ----------------------------
-- Table structure for ericsson_orders_detail
-- ----------------------------
DROP TABLE [dbo].[ericsson_orders_detail]
GO
CREATE TABLE [dbo].[ericsson_orders_detail] (
[id] varchar(255) NOT NULL ,
[header_id] varchar(255) NULL ,
[line_item_sequence_number] varchar(255) NULL ,
[ericsson_part_number] varchar(255) NULL ,
[subline_item_number] varchar(255) NULL ,
[AGO_indicator] varchar(255) NULL ,
[AGO_subline_indicator] varchar(255) NULL ,
[supplier_part_number] varchar(255) NULL ,
[R_state] varchar(255) NULL ,
[consignment_material_indicator] varchar(255) NULL ,
[assembly_instruction] varchar(255) NULL ,
[preconfig_order_reference] varchar(255) NULL ,
[manufacturer_part_number] varchar(255) NULL ,
[product_information] varchar(255) NULL ,
[ordered_quantity] varchar(255) NULL ,
[measure_unit] varchar(255) NULL ,
[item_config] varchar(255) NULL ,
[order_line_text] varchar(255) NULL ,
[config_key] varchar(255) NULL ,
[net_price] varchar(255) NULL ,
[unit_price_basis] varchar(255) NULL ,
[price_measure_unit] varchar(255) NULL ,
[line_item_number] varchar(255) NULL ,
[contract_number] varchar(255) NULL ,
[bin_location_id] varchar(255) NULL ,
[IPB_number] varchar(255) NULL ,
[manufacturer_number] varchar(255) NULL ,
[manufacturer_name] varchar(255) NULL 
)


GO

-- ----------------------------
-- Table structure for ericsson_orders_header
-- ----------------------------
DROP TABLE [dbo].[ericsson_orders_header]
GO
CREATE TABLE [dbo].[ericsson_orders_header] (
[id] varchar(255) NOT NULL ,
[ponumber] varchar(255) NULL ,
[document_date] date NULL ,
[order_text] varchar(255) NULL ,
[config_text] varchar(255) NULL ,
[packaging_text] varchar(255) NULL ,
[application_reference_number] varchar(255) NULL ,
[site_id] varchar(255) NULL ,
[ultimate_ponumber] varchar(255) NULL ,
[account_assignment_number] varchar(255) NULL ,
[quote_number] varchar(255) NULL ,
[buyer_number] varchar(255) NULL ,
[buyer_name] varchar(255) NULL ,
[buyer_street] varchar(255) NULL ,
[buyer_city] varchar(255) NULL ,
[buyer_postcode] varchar(255) NULL ,
[buyer_countrycode] varchar(255) NULL ,
[pd_contactname] varchar(255) NULL ,
[buyer_tel] varchar(255) NULL ,
[buyer_fax] varchar(255) NULL ,
[buyer_email] varchar(255) NULL ,
[invoicee_number] varchar(255) NULL ,
[invoicee_name] varchar(255) NULL ,
[invoicee_street] varchar(255) NULL ,
[invoicee_city] varchar(255) NULL ,
[invoicee_postcode] varchar(255) NULL ,
[invoicee_countrycode] varchar(255) NULL ,
[seller_number] varchar(255) NULL ,
[delivery_number] varchar(255) NULL ,
[delivery_name] varchar(255) NULL ,
[delivery_street] varchar(255) NULL ,
[delivery_city] varchar(255) NULL ,
[delivery_postcode] varchar(255) NULL ,
[delivery_countrycode] varchar(255) NULL ,
[ultimate_name] varchar(255) NULL ,
[ultimate_street] varchar(255) NULL ,
[ultimate_city] varchar(255) NULL ,
[ultimate_postcode] varchar(255) NULL ,
[ultimate_countrycode] varchar(255) NULL ,
[order_currency] varchar(255) NULL ,
[days_for_invoice] varchar(255) NULL ,
[incoterms] varchar(255) NULL ,
[delivery_place] varchar(255) NULL ,
[package_code] varchar(255) NULL ,
[buyer_instructions] varchar(255) NULL 
)


GO

-- ----------------------------
-- Table structure for ericsson_orders_subdetail
-- ----------------------------
DROP TABLE [dbo].[ericsson_orders_subdetail]
GO
CREATE TABLE [dbo].[ericsson_orders_subdetail] (
[id] varchar(255) NOT NULL ,
[item_id] varchar(255) NULL ,
[delivery_plan_status_indicator] varchar(255) NULL ,
[schedule_ordered_quantity] varchar(255) NULL ,
[ordered_date] date NULL 
)


GO

-- ----------------------------
-- Table structure for ericsson_ordrsp_detail
-- ----------------------------
DROP TABLE [dbo].[ericsson_ordrsp_detail]
GO
CREATE TABLE [dbo].[ericsson_ordrsp_detail] (
[id] varchar(255) NOT NULL ,
[header_id] varchar(255) NULL ,
[status] int NULL ,
[line_item_sequence_number] varchar(255) NULL ,
[buyer_part_number] varchar(255) NULL ,
[supplier_part_number] varchar(255) NULL ,
[R_state] varchar(255) NULL ,
[to_be_delivered_quantity] varchar(255) NULL ,
[net_price] varchar(255) NULL ,
[unit_price_basis] varchar(255) NULL ,
[price_unit] varchar(255) NULL ,
[line_item_number] varchar(255) NULL ,
[ordered_quantity] varchar(255) NULL ,
[requested_delivery_date] date NULL ,
[delivery_date] date NULL ,
[quantity_unit] varchar(255) NULL ,
[price_type] varchar(255) NULL ,
[action_code] varchar(255) NULL 
)


GO

-- ----------------------------
-- Table structure for ericsson_ordrsp_header
-- ----------------------------
DROP TABLE [dbo].[ericsson_ordrsp_header]
GO
CREATE TABLE [dbo].[ericsson_ordrsp_header] (
[id] varchar(255) NOT NULL ,
[po_response_number] varchar(255) NULL ,
[po_response_date] date NULL ,
[po_number] varchar(255) NULL ,
[supplier_order_number] varchar(255) NULL ,
[buyer_number] varchar(255) NULL ,
[seller_number] varchar(255) NULL ,
[seller_contact_name] varchar(255) NULL ,
[seller_contact_id] varchar(255) NULL ,
[seller_contact_tel] varchar(255) NULL ,
[seller_contact_fax] varchar(255) NULL ,
[seller_contact_email] varchar(255) NULL ,
[currency] varchar(255) NULL ,
[status] int NULL 
)


GO

-- ----------------------------
-- Indexes structure for table ericsson_delfor_detail
-- ----------------------------

-- ----------------------------
-- Primary Key structure for table ericsson_delfor_detail
-- ----------------------------
ALTER TABLE [dbo].[ericsson_delfor_detail] ADD PRIMARY KEY ([id])
GO

-- ----------------------------
-- Indexes structure for table ericsson_delfor_header
-- ----------------------------

-- ----------------------------
-- Primary Key structure for table ericsson_delfor_header
-- ----------------------------
ALTER TABLE [dbo].[ericsson_delfor_header] ADD PRIMARY KEY ([id])
GO

-- ----------------------------
-- Indexes structure for table ericsson_delfor_subdetail
-- ----------------------------

-- ----------------------------
-- Primary Key structure for table ericsson_delfor_subdetail
-- ----------------------------
ALTER TABLE [dbo].[ericsson_delfor_subdetail] ADD PRIMARY KEY ([id])
GO

-- ----------------------------
-- Indexes structure for table ericsson_desadv_header
-- ----------------------------

-- ----------------------------
-- Primary Key structure for table ericsson_desadv_header
-- ----------------------------
ALTER TABLE [dbo].[ericsson_desadv_header] ADD PRIMARY KEY ([id])
GO

-- ----------------------------
-- Indexes structure for table ericsson_desadv_item
-- ----------------------------

-- ----------------------------
-- Primary Key structure for table ericsson_desadv_item
-- ----------------------------
ALTER TABLE [dbo].[ericsson_desadv_item] ADD PRIMARY KEY ([id])
GO

-- ----------------------------
-- Indexes structure for table ericsson_desadv_package
-- ----------------------------

-- ----------------------------
-- Primary Key structure for table ericsson_desadv_package
-- ----------------------------
ALTER TABLE [dbo].[ericsson_desadv_package] ADD PRIMARY KEY ([id])
GO

-- ----------------------------
-- Indexes structure for table ericsson_desadv_serialnumber
-- ----------------------------

-- ----------------------------
-- Primary Key structure for table ericsson_desadv_serialnumber
-- ----------------------------
ALTER TABLE [dbo].[ericsson_desadv_serialnumber] ADD PRIMARY KEY ([id])
GO

-- ----------------------------
-- Indexes structure for table ericsson_invoic_detail
-- ----------------------------

-- ----------------------------
-- Primary Key structure for table ericsson_invoic_detail
-- ----------------------------
ALTER TABLE [dbo].[ericsson_invoic_detail] ADD PRIMARY KEY ([id])
GO

-- ----------------------------
-- Indexes structure for table ericsson_invoic_header
-- ----------------------------

-- ----------------------------
-- Primary Key structure for table ericsson_invoic_header
-- ----------------------------
ALTER TABLE [dbo].[ericsson_invoic_header] ADD PRIMARY KEY ([id])
GO

-- ----------------------------
-- Indexes structure for table ericsson_invoic_summary
-- ----------------------------

-- ----------------------------
-- Primary Key structure for table ericsson_invoic_summary
-- ----------------------------
ALTER TABLE [dbo].[ericsson_invoic_summary] ADD PRIMARY KEY ([id])
GO

-- ----------------------------
-- Indexes structure for table ericsson_orders_detail
-- ----------------------------

-- ----------------------------
-- Primary Key structure for table ericsson_orders_detail
-- ----------------------------
ALTER TABLE [dbo].[ericsson_orders_detail] ADD PRIMARY KEY ([id])
GO

-- ----------------------------
-- Indexes structure for table ericsson_orders_header
-- ----------------------------

-- ----------------------------
-- Primary Key structure for table ericsson_orders_header
-- ----------------------------
ALTER TABLE [dbo].[ericsson_orders_header] ADD PRIMARY KEY ([id])
GO

-- ----------------------------
-- Indexes structure for table ericsson_orders_subdetail
-- ----------------------------

-- ----------------------------
-- Primary Key structure for table ericsson_orders_subdetail
-- ----------------------------
ALTER TABLE [dbo].[ericsson_orders_subdetail] ADD PRIMARY KEY ([id])
GO

-- ----------------------------
-- Indexes structure for table ericsson_ordrsp_detail
-- ----------------------------

-- ----------------------------
-- Primary Key structure for table ericsson_ordrsp_detail
-- ----------------------------
ALTER TABLE [dbo].[ericsson_ordrsp_detail] ADD PRIMARY KEY ([id])
GO

-- ----------------------------
-- Indexes structure for table ericsson_ordrsp_header
-- ----------------------------

-- ----------------------------
-- Primary Key structure for table ericsson_ordrsp_header
-- ----------------------------
ALTER TABLE [dbo].[ericsson_ordrsp_header] ADD PRIMARY KEY ([id])
GO
